/* 移动端特殊适配 */
@media (max-width: 750px) {
  .main {
    background-color: #242220;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
  }

  .warranty-search .form {
    padding: 16vw 5.3333vw 19.3333vw;
    background-color: rgba(0, 0, 0, 0.7);
  }

  .warranty-search .form .form-title {
    padding-bottom: 9.3333vw;
    font-size: 4vw;
    color: #ffffff;
    text-align: center;
    letter-spacing: 0.8em;
    text-transform: uppercase;
  }

  .warranty-search .form .ivu-input {
    color: #fff;
    text-align: center;
  }

  .warranty-search .form .search-alt {
    line-height: 1.5;
    font-size: 2.9333vw;
    color: #fefefe;
    text-align: center;
  }

  .warranty-search .form .btn-submit {
    margin: 0 auto;
    width: 52vw;
    height: var(--form-control-height);
    background-color: var(--primary-color);
    border-radius: 1.3333vw;
    border: none;
    font-size: 4vw;
    color: #ffffff;
  }

  .warranty {
    padding: 16vw 9.3333vw 24vw;
    background-color: #000;
  }

  .warranty .tip {
    font-size: 3.7333vw;
    color: #fefefe;
    text-align: center;
  }

  .warranty .btn-enter {
    margin: 10vw auto 0;
    width: 52vw;
    height: var(--form-control-height);
    background: var(--primary-color);
    border-radius: 2.6667vw;
    font-size: 3.7333vw;
    color: #ffffff;
  }

  .warranty-tabs {
    padding: 8vw 5.3333vw;
    background-color: #000;
  }

  .warranty-tabs .tabs {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .warranty-tabs .tabs .tab {
    flex: 1;
    height: 8.8vw;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 400;
    font-size: 3.7333vw;
    color: #ffffff;
    position: relative;
  }

  .warranty-tabs .tabs .tab::after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(230, 231, 238, 0.3);
    height: 1px;
  }

  .warranty-tabs .tabs .tab.active::after {
    background: #e6e7ee;
  }

  .warranty-tabs .tab-content {
    margin: 0 auto;
    padding: 6vw 0;
    display: flex;
    gap: 5.3333vw;
  }

  .warranty-tabs .tab-content .btn-enter {
    width: 32vw;
    height: var(--form-control-height);
    background: #e53129;
    border-radius: 2.6667vw;
    font-size: 3.7333vw;
    color: #ffffff;
  }

  .warranty-tabs .tab-content .btn-add {
    width: 30vw;
    height: var(--form-control-height);
    background: #e53129;
    border-radius: 2.6667vw;
    font-size: 3.7333vw;
    color: #ffffff;
  }

  .warranty-tabs .tab-content .btn-management {
    width: 45.3333vw;
    height: var(--form-control-height);
    background: #000;
    border-radius: 2.6667vw;
    font-size: 3.7333vw;
    color: #ffffff;
    border: 1px solid rgba(255, 255, 255, 0.3);
    text-align: center;
  }
}

@media (min-width: 751px) {
  .main {
    background-color: #242220;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
  }

  .main .warranty-box {
    padding-bottom: 55px;
    background-color: rgba(0, 0, 0, 0.5);
  }

  .warranty-search .form {
    margin: 0 auto;
    width: 520px;
    padding: 60px 0 80px;
  }

  .warranty-search .form .form-title {
    padding-bottom: 70px;
    font-size: 24px;
    color: #ffffff;
    text-align: center;
    letter-spacing: 0.7em;
    text-transform: uppercase;
  }

  .warranty-search .form .ivu-input {
    color: #fff;
    text-align: center;
    font-size: 16px;
  }

  .warranty-search .form .search-alt {
    line-height: 1.5;
    padding: 0 85px;
    font-size: 16px;
    color: #ffffff;
    text-align: center;
  }

  .warranty-search .form .btn-submit {
    margin: 0 auto;
    width: 180px;
    height: var(--form-control-height);
    background-color: rgba(0, 116, 232, 0.7);
    border-radius: 20px;
    border: none;
    font-size: 18px;
    color: #ffffff;
    transition: all 0.3s;
  }

  .warranty-search .form .btn-submit:hover {
    background-color: rgba(0, 116, 232, 1);
  }

  .warranty {
    margin: 0 auto;
    width: 1200px;
    height: 100px;
    padding: 0 80px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 20px;
    background-color: rgba(0, 0, 0, 0.7);
  }

  .warranty .tip {
    font-size: 16px;
    color: #ffffff;
  }

  .warranty .btn-enter {
    width: 180px;
    height: 50px;
    background: rgba(0, 116, 232, 0.7);
    border-radius: 20px;
    height: var(--form-control-height);
    font-size: 14px;
    color: #ffffff;
    transition: all 0.3s;
  }

  .warranty .btn-enter:hover {
    background: rgba(0, 116, 232, 1);
  }

  .warranty-tabs {
    margin: 0 auto;
    width: 1200px;
    min-height: 200px;
    border-radius: 20px;
    background-color: rgba(0, 0, 0, 0.7);
  }

  .warranty-tabs .tabs {
    width: 480px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .warranty-tabs .tabs .tab {
    width: 240px;
    height: 66px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 400;
    font-size: 14px;
    color: #ffffff;
    position: relative;
    cursor: pointer;
  }

  .warranty-tabs .tabs .tab::after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(230, 231, 238, 0.3);
    height: 1px;
  }

  .warranty-tabs .tabs .tab.active::after {
    background: #e6e7ee;
  }

  .warranty-tabs .tab-content {
    margin: 0 auto;
    padding: 45px 0;
    display: flex;
    justify-content: center;
    gap: 20px;
  }

  .warranty-tabs .tab-content .btn {
    padding: 0 30px;
    height: 50px;
    background: #000;
    border-radius: 20px;
    font-size: 14px;
    color: #ffffff;
    border: 1px solid rgba(255, 255, 255, 0.3);
    flex-shrink: 0;
    transition: all 0.3s;
  }

  .warranty-tabs .tab-content .btn:hover {
    background: var(--primary-color);
    color: #ffffff;
    border-color: var(--primary-color);
  }
}
